webgme-setup-tool
[![Build Status](https://travis-ci.org/webgme/webgme-setup-tool.svg?branch=master)](https://travis-ci.org/webgme/webgme-setup-tool) [![Version](https://badge.fury.io/js/webgme-setup-tool.svg)](https://www.npmjs.com/package/webgme-setup-tool) [![Stories in
Last updated 5 years ago by brollb .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install webgme-setup-tool 
SYNC missed versions from official npm registry.

Build Status Version Stories in Ready

WebGME Setup Tool

The WebGME setup tool is a tool for managing WebGME apps. Specifically, it provides a command line interface for creating, removing, installing from other WebGME apps, (etc) for various WebGME components (currently addons and plugins are supported).

Quick Start

WebGME apps require NodeJS and MongDB installed on the host system (the server).

Setting up a WebGME app

First install the project with

npm install -g webgme-setup-tool

Next, create a new WebGME app:

webgme init MyNewProject

Navigate to the project folder and install dependencies:

cd MyNewProject
webgme start

Now, open a browser and navigate to http://localhost:8888 to get started!

Creating custom WebGME components

Additional useful commands include

webgme new plugin MyNewPlugin
webgme ls plugin
webgme rm plugin MyNewPlugin

webgme new addon MyNewAddOn
webgme rm addon MyNewAddOn

It currently supports adding plugins or addons from github repositories which are either created with this tool or contain a WebGME config.js file in the project root:

webgme add plugin <plugin> <github user>/<github project>

FAQ

  • Tried loading "coreplugins/XXXXGenerator/XXXXGenerator" at xxxxx/src/../node_modules/webgme/src/plugin/coreplugins/...

    • This usually happens after updating a clone of the webgme-setup-tool and is caused by an outdated version of the webgme. That is, this happens when the webgme-setup-tool has been updated to support a feature that isn't supported in the currently installed webgme dependency. Running npm update from the project root should fix it.

Current Tags

  • 1.5.0                                ...           latest (5 years ago)

12 Versions

  • 1.5.0                                ...           5 years ago
  • 1.4.2                                ...           5 years ago
  • 1.4.1                                ...           5 years ago
  • 1.4.0                                ...           5 years ago
  • 1.3.1                                ...           5 years ago
  • 1.3.0                                ...           5 years ago
  • 1.2.0                                ...           5 years ago
  • 1.1.2                                ...           5 years ago
  • 1.1.1                                ...           5 years ago
  • 1.1.0                                ...           5 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 0
Dependencies (15)
Dev Dependencies (7)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |